libebook::FB2SupContext Class Reference documentation

Public Member Functions | Private Member Functions | List of all members
libebook::FB2SupContext Class Reference

`#include <FB2TextContext.h>`

Inheritance diagram for libebook::FB2SupContext:

## Public Member Functions
| FB2SupContext (FB2ParserContext *parentContext, FB2Style &style)
Public Member Functions inherited from libebook::FB2StyleContextBase
| FB2StyleContextBase (FB2ParserContext *parentContext, const FB2Style &style)
Public Member Functions inherited from libebook::FB2ParserContext
| FB2ParserContext (FB2ParserContext *parentContext, FB2Collector *collector=0)
| Create a new context with `parentContext` as parent. More...
virtual FB2XMLParserContext * | leaveContext () const
| Destroy this context and return parent. More...
FB2Collector * | getCollector () const
| Get the collector. More...
FB2ParserContext * | getParentContext () const
| Get the parent context. More...
Public Member Functions inherited from libebook::FB2XMLParserContext
virtual | ~FB2XMLParserContext ()=0

## Private Member Functions
virtual void | startOfElement ()
| Signalize the start of an element. More...

## Additional Inherited Members
Protected Member Functions inherited from libebook::FB2StyleContextBase
FB2Style & | getStyle ()
FB2TextFormat & | getTextFormat ()
virtual FB2XMLParserContext * | element (const FB2TokenData &name, const FB2TokenData &ns)
| Create a context for parsing a child element. More...
virtual void | endOfElement ()
| Signalize the end of an element. More...
virtual void | attribute (const FB2TokenData &name, const FB2TokenData *ns, const char *value)
| Process an attribute. More...
virtual void | endOfAttributes ()
| Signalize the end of attributes. More...
virtual void | text (const char *value)
| Process textual content of an element. More...

## Constructor & Destructor Documentation

## § FB2SupContext()

libebook::FB2SupContext::FB2SupContext | ( | FB2ParserContext * | parentContext,
|  | FB2Style & | style
| ) |  |

## Member Function Documentation

## § startOfElement()

void libebook::FB2SupContext::startOfElement | ( |  | ) |
| privatevirtual

Signalize the start of an element.

This can be used if initialization of the context needs virtual function calls.

Implements libebook::FB2XMLParserContext.

The documentation for this class was generated from the following files:

- FB2TextContext.h
- FB2TextContext.cpp